function [theta, J_history] = gradientDescent(X, y, theta, alpha, num_iters)


m = length(y); 
J_history = zeros(num_iters, 1);
X_int=theta;

	for iter = 1:num_iters

		hyp = X*theta;
		error=hyp-y;
		theta_change=(alpha/m) .* (X'*error);

		theta = theta -   theta_change ;
			  
		J_history(iter) = computeCost(X, y, theta);

	end
end
