function [theta, J_history] = gradientDescentMulti(X, y, theta, alpha, num_iters)


m = length(y); 
j=size(X,2);
J_history = zeros(num_iters, 1);
X_int=theta;

	for iter = 1:num_iters

		X_int = sum(( (X * theta) - y ).* X);
		theta = theta -  (alpha/m) * X_int' ;  
		J_history(iter) = computeCostMulti(X, y, theta);
	end


end
